Google Web Toolkit (Beta)
Search this site:

# Class PasswordTextBox

public class PasswordTextBox
extends TextBoxBase
A text box that visually masks its input to prevent eavesdropping.

### CSS Style Rules

- .gwt-PasswordTextBox { primary style }
- .gwt-PasswordTextBox-readonly { dependent style set when the password text box is read-only }

### Example

    public class TextBoxExample implements EntryPoint {

      public void onModuleLoad() {
        // Make some text boxes.  The password text box is identical to the text
        // box, except that the input is visually masked by the browser.
        PasswordTextBox ptb = new PasswordTextBox();
        TextBox tb = new TextBox();

        // Let's disallow non-numeric entry in the normal text box.
        tb.addKeyboardListener(new KeyboardListenerAdapter() {
          public void onKeyPress(Widget sender, char keyCode, int modifiers) {
            if (!Character.isDigit(keyCode)) {
              // TextBox.cancelKey() suppresses the current keyboard event.
              ((TextBox)sender).cancelKey();
            }
          }
        });

        // Let's make an 80x50 text area to go along with the other two.
        TextArea ta = new TextArea();
        ta.setCharacterWidth(80);
        ta.setVisibleLines(50);

        // Add them to the root panel.
        VerticalPanel panel = new VerticalPanel();
        panel.add(tb);
        panel.add(ptb);
        panel.add(ta);
        RootPanel.get().add(panel);
      }
    }

## Constructors

PasswordTextBox() | Creates an empty password text box.

## Constructor Detail

### PasswordTextBox

public PasswordTextBox()
Creates an empty password text box.